Survey: All-wavelength Extended Groth strip International Survey (AEGIS)

Telescope: Palomar Observatory

Instrument: WIRC

Filters: J, Ks

Fields: EGS

P.I.: Kevin Bundy

Reference: 2006ApJ...651..120B

URL: http://www.astro.caltech.edu/AEGIS/

